# Global Search

## [v0.17.0](https://github.com/Oppzippy/GlobalSearch/tree/v0.17.0) (2022-10-18)
[Full Changelog](https://github.com/Oppzippy/GlobalSearch/compare/v0.16.0...v0.17.0) [Previous Releases](https://github.com/Oppzippy/GlobalSearch/releases)

- Add recent items tests  
- Fix SpellsSearchProvider not including flyout spells  
    This includes spells such as Call Pet 1-5 and challenge mode/mythic+  
    dungeon teleports.  
- Fix missed renames in 13bf3b304e05ce61e16c04cc0b40ac782a0e9448  
- Add basic SearchExecutor test  
- Replace usage of wow's strsplit with gmatch  
- Replicate wow arguments passed to all files for tests  
- Specify lua 5.1 in test script  
- Consistently use uppercase for the d in ID  
- Rename search provider localizedName to name  
    name was renamed to id in preparation for this  
- Rename search provider name to provider id  
- Remove outdated test and add item decoration tests  
- Update tests for new SearchProviderCollection interface  
- Move search component integration into testable class  
- Add keyword to limit search to specific providers  
- Move search context caching out into another file  
- Update test directory structure to match project  
- Cache search contexts by item group table reference  
    This prevents re-indexing every time the search is opened. Only  
    search providers with changed data will need to be re-indexed.  
- Keep items from different search providers separated as long as possible  
    This allows for caching of indexes since each provider will have its own index.  
- Add test to ensure false ids are not treated as nil  
